Dashboard
APIExtend User Membership
api.botsubscription.com
GET/v1/endpoint
AuthenticationBearer
Token
Stays in this tab. Required for this endpoint — the value below is what gets sent.
Mock
curl --request GET \
  --url https://api.botsubscription.com/v1/endpoint \
  --header 'Authorization: Bearer sk_live_•••'

Extend User Membership

Set the end date for a specific user's membership in a project.

PATCH/v2/projects/{project_id}/memberships/{user_id}/extend

Authorization

Bearer TokenRequired

Path Parameters

project_idstringrequired

The unique identifier of the project.

user_idstringrequired

The user identifier whose membership to extend.

Request Body

extendnumber | stringrequired

The user's new membership end date. Pass a 13-digit Unix timestamp (milliseconds) or an ISO 8601 datetime string. Must be a future date.

Last updated: